### Method

# WebKitWebProcessExtension Frame get_js_context_for_script_world

#### Declaration [src]

    JSCContext*
    webkit_frame_get_js_context_for_script_world (
      WebKitFrame* frame,
      WebKitScriptWorld* world
    )

#### Description [src]

Get the JavaScript execution context of `frame` for the given `WebKitScriptWorld`.

Available since: | 2.22

#### Parameters

`world` | `WebKitScriptWorld`
| A `WebKitScriptWorld`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `JSCContext`
| The `JSCContext` for the JavaScript execution context of `frame` for `world`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.